<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class HpAddon extends Translate
{
    protected string $typeKey = 'HpAddon';

    public function getStructure(): array
    {
        return [
            'total' => 'int64',
            'trigger' => 'float',
        ];
    }

    public function getMinimumLength(): int
    {
        return 15;
    }
}